This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 751933 - (CVE-2011-3650) CVE-2011-3650 Mozilla: crash while profiling page with many functions (MFSA 2011-49)
CVE-2011-3650 Mozilla: crash while profiling page with many functions (MFSA 2...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111108,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 23:31 EST by Huzaifa S. Sidhpurwala
Modified: 2011-11-08 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-08 17:31:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-11-07 23:31:51 EST
When profiling a javascript page with many functions, typically by using an extension such as firebug, firefox would crash. This could be exploited to execute arbitrary code.

Reference:
https://bugzilla.mozilla.org/show_bug.cgi?id=674776
Comment 1 Vincent Danen 2011-11-08 12:56:09 EST
External References:

http://www.mozilla.org/security/announce/2011/mfsa2011-49.html
Comment 2 errata-xmlrpc 2011-11-08 16:56:53 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1439 https://rhn.redhat.com/errata/RHSA-2011-1439.html
Comment 3 errata-xmlrpc 2011-11-08 17:06:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1437 https://rhn.redhat.com/errata/RHSA-2011-1437.html

Note You need to log in before you can comment on or make changes to this bug.